
$(document).ready(function () {
  app.initialized()
    .then(function (_client) {
      window.client = _client;
      client.events.on("app.activated", TicketChange);
      console.log("app activated");
    })
    .catch(function (error) {
      console.log(error);
    });

});
function TicketChange() {
  client.events.on("ticket.replyClick", clickEventCallback);
  client.events.on("ticket.forwardClick", clickEventCallback);
}
function clickEventCallback() {
  // client.interface.trigger("hideElement", { id: "defaultFields" });


  client.interface.trigger("enableElement", { id: "reply", field: "from" })
    .then(function (data) {
      console.log("enableElement reply - ", data);
    }).catch(function (error) {
      console.log("error in enableElement reply - ", error);
    })

  client.interface.trigger("enableElement", { id: "forward", field: "from" })
    .then(function (data) {
      console.log("enableElement forward - ", data);
    }).catch(function (error) {
      console.log("error in enableElement forward- ", error);
    })

  client.interface.trigger("setValue", { id: "forward", field: "from", value: "customersupport@fwsc.freshservice.com" })
    .then(function (data) {
      console.log("setValue forward - ", data);
    }).catch(function (error) {
      console.log("error in setValue forward - ", error);
    })
  client.interface.trigger("setValue", { id: "reply", field: "from", value: "customersupport@fwsc.freshservice.com" })
    .then(function (data) {
      console.log("setValue reply - ", data);
    }).catch(function (error) {
      console.log("error in setValue reply- ", error);
    })
}